﻿using NUnit.Framework;

namespace TemplatePattern
{
    [TestFixture]
    public class CalculateShippingTests
    {
        [Test]
        public void GroundShippingTest()
        {
            var groundShippingCalculator = new GroundShippingCalculator();
            var airShippingCalculator = new AirShippingCalculator();
            

            decimal groundShippingRate = groundShippingCalculator.CalculateShippingRate( "90210", 10.25, new Size( 5, 5, 10 ) );
            decimal airShippingRate = airShippingCalculator.CalculateShippingRate( "90210", 10.25, new Size( 5, 5, 10 ) );
            
        }
    }
}
